DELAY(1)

NAME
delay - a constant delay generator

SYNOPSIS
delay [-b bufsize] [delay]

DESCRIPTION
delay introduces a constant delay between its standard input and its standard output. The data from its stdin will be stored until it has been written to stdout. The required delay argument specifies the delay time in millisecond.

delay supports the following options:

delay delay is the desired delay time, in milliseconds. The following modifiers are accepted: 12s means 12 seconds 12m means 12 minutes 12h means 12 hours

-b bufsize buffer size stores the data until it has been written to stdout, in bytes. The following modifiers are accepted: 12k means 12Kb 12m means 12Mb 12g means 12Gb

EXAMPLES

    delay the output of command_A to command_B by 5 seconds:
            $ command_A | delay 5s | command_B

    delay the output of command_A to command_B by 5 seconds with 10MB buffer:
            $ command_A | delay -b 10m 5s | command_B

AUTHORS
Romain Vimont <rom@rom1v.com>

HOME
https://github.com/rom1v/delay